path: /build/build/qtermwidget-x11-libs-1.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-libs/qtermwidget -pv -t && \
    emerge -j ${JOBS} --nodeps x11-libs/qtermwidget
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtermwidget && luet-portage --dir /pkgdir/qtermwidget
    x11-libs/qtermwidget && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:24be5ca0df295a12912a02aeec2b3624faee9189d5b2f8dc0be2384d88be01e7
  package:
    name: qtermwidget
    version: 1.4.0
    category: x11-libs
    requires:
    - name: lxqt-build-tools
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qt terminal emulator widget
    uri:
    - https://lxqt.github.io/
    license: BSD GPL-2 LGPL-2+
    buildtimestamp: 2024-02-11 11:31:40.177000163 +0000 UTC m=+74.881842116
    labels:
      BDEPEND: dev-qt/linguist-tools:5 dev-util/lxqt-build-tools dev-util/ninja dev-util/cmake
      DEPEND: dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5
      RDEPEND: dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5
      emerge.packages: x11-libs/qtermwidget
      kit: kde-kit
      original.package.name: x11-libs/qtermwidget
      original.package.slot: "0"
      original.package.version: 1.4.0
    treedir: /build/packages
  package_dir: /pkgdir/qtermwidget
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 74663a8f34e00f4ed71abd75f274f571211e00dda6204d1acfae06714810873c
compressiontype: zstd
files:
- usr/include/qtermwidget5/Emulation.h
- usr/include/qtermwidget5/Filter.h
- usr/include/qtermwidget5/KeyboardTranslator.h
- usr/include/qtermwidget5/qtermwidget.h
- usr/include/qtermwidget5/qtermwidget_export.h
- usr/include/qtermwidget5/qtermwidget_interface.h
- usr/include/qtermwidget5/qtermwidget_version.h
- usr/lib64/cmake/qtermwidget5/qtermwidget5-config-version.cmake
- usr/lib64/cmake/qtermwidget5/qtermwidget5-config.cmake
- usr/lib64/cmake/qtermwidget5/qtermwidget5-targets-gentoo.cmake
- usr/lib64/cmake/qtermwidget5/qtermwidget5-targets.cmake
- usr/lib64/libqtermwidget5.so
- usr/lib64/libqtermwidget5.so.1
- usr/lib64/libqtermwidget5.so.1.4.0
- usr/lib64/pkgconfig/qtermwidget5.pc
- usr/share/doc/qtermwidget-1.4.0/AUTHORS.bz2
- usr/share/doc/qtermwidget-1.4.0/CHANGELOG.bz2
- usr/share/doc/qtermwidget-1.4.0/README.md.bz2
- usr/share/qtermwidget5/color-schemes/BlackOnLightYellow.colorscheme
- usr/share/qtermwidget5/color-schemes/BlackOnRandomLight.colorscheme
- usr/share/qtermwidget5/color-schemes/BlackOnWhite.colorscheme
- usr/share/qtermwidget5/color-schemes/BreezeModified.colorscheme
- usr/share/qtermwidget5/color-schemes/DarkPastels.colorscheme
- usr/share/qtermwidget5/color-schemes/Falcon.colorscheme
- usr/share/qtermwidget5/color-schemes/GreenOnBlack.colorscheme
- usr/share/qtermwidget5/color-schemes/Linux.colorscheme
- usr/share/qtermwidget5/color-schemes/Solarized.colorscheme
- usr/share/qtermwidget5/color-schemes/SolarizedLight.colorscheme
- usr/share/qtermwidget5/color-schemes/Tango.colorscheme
- usr/share/qtermwidget5/color-schemes/Ubuntu.colorscheme
- usr/share/qtermwidget5/color-schemes/WhiteOnBlack.colorscheme
- usr/share/qtermwidget5/color-schemes/historic/BlackOnLightColor.schema
- usr/share/qtermwidget5/color-schemes/historic/DarkPicture.schema
- usr/share/qtermwidget5/color-schemes/historic/GreenOnBlack.schema
- usr/share/qtermwidget5/color-schemes/historic/GreenTint.schema
- usr/share/qtermwidget5/color-schemes/historic/GreenTint_MC.schema
- usr/share/qtermwidget5/color-schemes/historic/LightPicture.schema
- usr/share/qtermwidget5/color-schemes/historic/Linux.schema
- usr/share/qtermwidget5/color-schemes/historic/Transparent.schema
- usr/share/qtermwidget5/color-schemes/historic/Transparent_MC.schema
- usr/share/qtermwidget5/color-schemes/historic/Transparent_darkbg.schema
- usr/share/qtermwidget5/color-schemes/historic/Transparent_lightbg.schema
- usr/share/qtermwidget5/color-schemes/historic/XTerm.schema
- usr/share/qtermwidget5/color-schemes/historic/syscolor.schema
- usr/share/qtermwidget5/color-schemes/historic/vim.schema
- usr/share/qtermwidget5/kb-layouts/default.keytab
- usr/share/qtermwidget5/kb-layouts/historic/vt100.keytab
- usr/share/qtermwidget5/kb-layouts/historic/x11r5.keytab
- usr/share/qtermwidget5/kb-layouts/linux.keytab
- usr/share/qtermwidget5/kb-layouts/macbook.keytab
- usr/share/qtermwidget5/kb-layouts/solaris.keytab
- usr/share/qtermwidget5/kb-layouts/vt420pc.keytab
- usr/share/qtermwidget5/translations/qtermwidget_ar.qm
- usr/share/qtermwidget5/translations/qtermwidget_arn.qm
- usr/share/qtermwidget5/translations/qtermwidget_ast.qm
- usr/share/qtermwidget5/translations/qtermwidget_bg.qm
- usr/share/qtermwidget5/translations/qtermwidget_ca.qm
- usr/share/qtermwidget5/translations/qtermwidget_cs.qm
- usr/share/qtermwidget5/translations/qtermwidget_cy.qm
- usr/share/qtermwidget5/translations/qtermwidget_da.qm
- usr/share/qtermwidget5/translations/qtermwidget_de.qm
- usr/share/qtermwidget5/translations/qtermwidget_de_CH.qm
- usr/share/qtermwidget5/translations/qtermwidget_el.qm
- usr/share/qtermwidget5/translations/qtermwidget_es.qm
- usr/share/qtermwidget5/translations/qtermwidget_et.qm
- usr/share/qtermwidget5/translations/qtermwidget_fi.qm
- usr/share/qtermwidget5/translations/qtermwidget_fr.qm
- usr/share/qtermwidget5/translations/qtermwidget_gl.qm
- usr/share/qtermwidget5/translations/qtermwidget_he.qm
- usr/share/qtermwidget5/translations/qtermwidget_hr.qm
- usr/share/qtermwidget5/translations/qtermwidget_hu.qm
- usr/share/qtermwidget5/translations/qtermwidget_it.qm
- usr/share/qtermwidget5/translations/qtermwidget_ja.qm
- usr/share/qtermwidget5/translations/qtermwidget_ko.qm
- usr/share/qtermwidget5/translations/qtermwidget_lt.qm
- usr/share/qtermwidget5/translations/qtermwidget_nb_NO.qm
- usr/share/qtermwidget5/translations/qtermwidget_nl.qm
- usr/share/qtermwidget5/translations/qtermwidget_oc.qm
- usr/share/qtermwidget5/translations/qtermwidget_pl.qm
- usr/share/qtermwidget5/translations/qtermwidget_pt.qm
- usr/share/qtermwidget5/translations/qtermwidget_pt_BR.qm
- usr/share/qtermwidget5/translations/qtermwidget_ru.qm
- usr/share/qtermwidget5/translations/qtermwidget_si.qm
- usr/share/qtermwidget5/translations/qtermwidget_sk.qm
- usr/share/qtermwidget5/translations/qtermwidget_tr.qm
- usr/share/qtermwidget5/translations/qtermwidget_uk.qm
- usr/share/qtermwidget5/translations/qtermwidget_zh_CN.qm
- usr/share/qtermwidget5/translations/qtermwidget_zh_TW.qm
- var/db/pkg/x11-libs/qtermwidget-1.4.0/BDEPEND
- var/db/pkg/x11-libs/qtermwidget-1.4.0/BUILD_TIME
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CATEGORY
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CBUILD
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CFLAGS
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CHOST
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CONTENTS
- var/db/pkg/x11-libs/qtermwidget-1.4.0/COUNTER
- var/db/pkg/x11-libs/qtermwidget-1.4.0/CXXFLAGS
- var/db/pkg/x11-libs/qtermwidget-1.4.0/DEFINED_PHASES
- var/db/pkg/x11-libs/qtermwidget-1.4.0/DEPEND
- var/db/pkg/x11-libs/qtermwidget-1.4.0/DESCRIPTION
- var/db/pkg/x11-libs/qtermwidget-1.4.0/EAPI
- var/db/pkg/x11-libs/qtermwidget-1.4.0/FEATURES
- var/db/pkg/x11-libs/qtermwidget-1.4.0/HOMEPAGE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/INHERITED
- var/db/pkg/x11-libs/qtermwidget-1.4.0/IUSE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/KEYWORDS
- var/db/pkg/x11-libs/qtermwidget-1.4.0/LDFLAGS
- var/db/pkg/x11-libs/qtermwidget-1.4.0/LICENSE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/NEEDED
- var/db/pkg/x11-libs/qtermwidget-1.4.0/PF
- var/db/pkg/x11-libs/qtermwidget-1.4.0/PROVIDES
- var/db/pkg/x11-libs/qtermwidget-1.4.0/RDEPEND
- var/db/pkg/x11-libs/qtermwidget-1.4.0/REQUIRES
- var/db/pkg/x11-libs/qtermwidget-1.4.0/SIZE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/SLOT
- var/db/pkg/x11-libs/qtermwidget-1.4.0/USE
- var/db/pkg/x11-libs/qtermwidget-1.4.0/environment.bz2
- var/db/pkg/x11-libs/qtermwidget-1.4.0/qtermwidget-1.4.0.ebuild
- var/db/pkg/x11-libs/qtermwidget-1.4.0/repository
package_cacheimage: ""
runtime:
  name: qtermwidget
  version: 1.4.0
  category: x11-libs
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qt terminal emulator widget
  uri:
  - https://lxqt.github.io/
  license: BSD GPL-2 LGPL-2+
  labels:
    BDEPEND: dev-qt/linguist-tools:5 dev-util/lxqt-build-tools dev-util/ninja dev-util/cmake
    DEPEND: dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5
    RDEPEND: dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5
    emerge.packages: x11-libs/qtermwidget
    kit: kde-kit
    original.package.name: x11-libs/qtermwidget
    original.package.slot: "0"
    original.package.version: 1.4.0
